using CanteenDataModels.Enums;
using CanteenDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CanteenContracts.View
{
    public class OrderViewModel : IOrderModel
    {
        [DisplayName("ID посетителя")]
        public int VisitorId { get; set; }
        [DisplayName("Описание")]
        public string Description { get; set; } = string.Empty;
        [DisplayName("Сумма")]
        public double? Sum { get; set; }
        public Dictionary<int, (IDishModel, int)> OrderDishes { get; set; } = new Dictionary<int, (IDishModel, int)>();
        [DisplayName("ID заказа")]
        public int Id { get; set; }
    }

}
